/*
 * CampoDiferenteDeUnValorODiferenteDeVacio.java
 *
 * Created on 27 de marzo de 2007, 10:34 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

// 12,C,1
/**
 * 
 * @author Julian
 */
public class CampoDiferenteDeUnValorODiferenteDeVacioBDUA extends AbstractRule {

	public CampoDiferenteDeUnValorODiferenteDeVacioBDUA() {
	}

	// //24,C,1-------///24,F,O,1,2
	public boolean performValidation(String field, String[] registro,
			String nombreArchivo) {
		String otroCampo = registro[new Integer((String) getParams()[0])
				.intValue()];
		// //F
		if (otroCampo.equals(getParams()[1])) {
			return (field.length() > 0);
		}
		// //O
		if (otroCampo.equals(getParams()[2])) {
			return ((!field.equals(getParams()[3]) || !field
					.equals(getParams()[4])) && field.length() > 0);
		}
		return false;
	}
}
